smooks 1.5.2, edi 1.4 on apache servicemix 5.3.0 problems

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

smooks 1.5.2, edi 1.4 on apache servicemix 5.3.0 problems

Jan Heise
Hi everybody,

I have a small problem.

I try to get the following smooks 1.5.2 example to run in Apache
ServiceMix 5.3.0:

https://github.com/smooks/smooks/tree/master/smooks-examples/camel/camel-unedifact-to-xml

I get the following exception:

Caused by: org.milyn.edisax.EDIConfigurationException: Failed to locate
jar file for EDI Mapping Model URN
'org.milyn.edi.unedifact:d96a-mapping:1.4'.  Jar must be available on
classpath.

I deployed the d96a-binding and mapping according to the README and
additionally activated them (osgi:start):

1. Deploy Smooks OSGi bundle
     karaf@root> features:addUrl
mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
     karaf@root> features:install smooks
2. Deploy the mapping and bindings for d96a
     karaf@root osgi:install mvn:org.milyn.edi.unedifact/d96a-binding/1.4
     karaf@root osgi:install mvn:org.milyn.edi.unedifact/d96a-mapping/1.4

osgi:start bundle ID for d96a-binding
osgi:start bundle ID for d96a-mapping

I also tried to deploy everything in JBoss Fuse 6.1. and get the same
error.

The example runs fine on the command line.

The readme focuses on Apache ServiceMix version 4.x, maybe some steps
regarding JAR-deployment changed in version 5.x? I'm not an expert with
OSGI containers so I'm stuck.

Somebody got some advice?

BR Jan


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: smooks 1.5.2, edi 1.4 on apache servicemix 5.3.0 problems

Jochen Cordes
Hi Jan,

I guess binding depends on mapping so maybe reversing the order of
starting the bundles should resolve your problem?

Just tested on JBoss Fuse 6.1 and it seems to work fine:

JBossFuse:admin@root> features:addUrl
mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
JBossFuse:admin@root> features:install smooks
JBossFuse:admin@root> osgi:install
mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
Bundle ID: 262
JBossFuse:admin@root> osgi:install
mvn:org.milyn.edi.unedifact/d96a-binding/1.4
Bundle ID: 263
JBossFuse:admin@root> osgi:start 262
JBossFuse:admin@root> osgi:start 263

Does this work for you?

Kind regards,

Jochen

On 12/16/2014 01:59 PM, Jan Heise wrote:

> Hi everybody,
>
> I have a small problem.
>
> I try to get the following smooks 1.5.2 example to run in Apache
> ServiceMix 5.3.0:
>
> https://github.com/smooks/smooks/tree/master/smooks-examples/camel/camel-unedifact-to-xml 
>
>
> I get the following exception:
>
> Caused by: org.milyn.edisax.EDIConfigurationException: Failed to
> locate jar file for EDI Mapping Model URN
> 'org.milyn.edi.unedifact:d96a-mapping:1.4'.  Jar must be available on
> classpath.
>
> I deployed the d96a-binding and mapping according to the README and
> additionally activated them (osgi:start):
>
> 1. Deploy Smooks OSGi bundle
>     karaf@root> features:addUrl
> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>     karaf@root> features:install smooks
> 2. Deploy the mapping and bindings for d96a
>     karaf@root osgi:install mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>     karaf@root osgi:install mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>
> osgi:start bundle ID for d96a-binding
> osgi:start bundle ID for d96a-mapping
>
> I also tried to deploy everything in JBoss Fuse 6.1. and get the same
> error.
>
> The example runs fine on the command line.
>
> The readme focuses on Apache ServiceMix version 4.x, maybe some steps
> regarding JAR-deployment changed in version 5.x? I'm not an expert
> with OSGI containers so I'm stuck.
>
> Somebody got some advice?
>
> BR Jan
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: smooks 1.5.2, edi 1.4 on apache servicemix 5.3.0 problems

Jan Heise
Hi Jochen,

thanks for your support. It does not work here.
Did you try to run the example? The exception occurs when I deploy the
given example, start it and put an EDI file into the inbox. Maybe I was
a bit unclear in my first mail. Just deploying/starting everything works
- but not the actual conversion.

Best Regards,

Jan


Am 2014-12-16 15:44, schrieb Jochen Cordes:

> Hi Jan,
>
> I guess binding depends on mapping so maybe reversing the order of
> starting the bundles should resolve your problem?
>
> Just tested on JBoss Fuse 6.1 and it seems to work fine:
>
> JBossFuse:admin@root> features:addUrl
> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
> JBossFuse:admin@root> features:install smooks
> JBossFuse:admin@root> osgi:install
> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
> Bundle ID: 262
> JBossFuse:admin@root> osgi:install
> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
> Bundle ID: 263
> JBossFuse:admin@root> osgi:start 262
> JBossFuse:admin@root> osgi:start 263
>
> Does this work for you?
>
> Kind regards,
>
> Jochen
>
> On 12/16/2014 01:59 PM, Jan Heise wrote:
>> Hi everybody,
>>
>> I have a small problem.
>>
>> I try to get the following smooks 1.5.2 example to run in Apache
>> ServiceMix 5.3.0:
>>
>> https://github.com/smooks/smooks/tree/master/smooks-examples/camel/camel-unedifact-to-xml 
>> I get the following exception:
>>
>> Caused by: org.milyn.edisax.EDIConfigurationException: Failed to
>> locate jar file for EDI Mapping Model URN
>> 'org.milyn.edi.unedifact:d96a-mapping:1.4'.  Jar must be available on
>> classpath.
>>
>> I deployed the d96a-binding and mapping according to the README and
>> additionally activated them (osgi:start):
>>
>> 1. Deploy Smooks OSGi bundle
>>     karaf@root> features:addUrl
>> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>>     karaf@root> features:install smooks
>> 2. Deploy the mapping and bindings for d96a
>>     karaf@root osgi:install
>> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>>     karaf@root osgi:install
>> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>>
>> osgi:start bundle ID for d96a-binding
>> osgi:start bundle ID for d96a-mapping
>>
>> I also tried to deploy everything in JBoss Fuse 6.1. and get the same
>> error.
>>
>> The example runs fine on the command line.
>>
>> The readme focuses on Apache ServiceMix version 4.x, maybe some steps
>> regarding JAR-deployment changed in version 5.x? I'm not an expert
>> with OSGI containers so I'm stuck.
>>
>> Somebody got some advice?
>>
>> BR Jan
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>>
>>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: smooks 1.5.2, edi 1.4 on apache servicemix 5.3.0 problems

Jan Heise
Hi everybody,

I'm trying to dig around:

I checked:
http://milyn.996300.n3.nabble.com/Another-problem-in-ServiceMix-OSGI-Failed-to-locate-jar-file-for-EDI-Mapping-Model-URN-td485.html
http://jira.codehaus.org/browse/MILYN-571
and the sources from https://github.com/danbev/unedifact/tree/osgi

When I deploy the versions from the supplied github link, I actually get
a different result in ServiceMix. I can not start mapping/binding, the
output says that these are only fragments an can not be started.

Can somebody confirm that they have a running EDI-transformer using a
binding/mapping from the unedifact packages in an OSGI container?

Best regards,

Jan

Am 2014-12-16 16:11, schrieb Jan Heise:

> Hi Jochen,
>
> thanks for your support. It does not work here.
> Did you try to run the example? The exception occurs when I deploy the
> given example, start it and put an EDI file into the inbox. Maybe I
> was a bit unclear in my first mail. Just deploying/starting everything
> works - but not the actual conversion.
>
> Best Regards,
>
> Jan
>
>
> Am 2014-12-16 15:44, schrieb Jochen Cordes:
>> Hi Jan,
>>
>> I guess binding depends on mapping so maybe reversing the order of
>> starting the bundles should resolve your problem?
>>
>> Just tested on JBoss Fuse 6.1 and it seems to work fine:
>>
>> JBossFuse:admin@root> features:addUrl
>> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>> JBossFuse:admin@root> features:install smooks
>> JBossFuse:admin@root> osgi:install
>> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>> Bundle ID: 262
>> JBossFuse:admin@root> osgi:install
>> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>> Bundle ID: 263
>> JBossFuse:admin@root> osgi:start 262
>> JBossFuse:admin@root> osgi:start 263
>>
>> Does this work for you?
>>
>> Kind regards,
>>
>> Jochen
>>
>> On 12/16/2014 01:59 PM, Jan Heise wrote:
>>> Hi everybody,
>>>
>>> I have a small problem.
>>>
>>> I try to get the following smooks 1.5.2 example to run in Apache
>>> ServiceMix 5.3.0:
>>>
>>> https://github.com/smooks/smooks/tree/master/smooks-examples/camel/camel-unedifact-to-xml 
>>> I get the following exception:
>>>
>>> Caused by: org.milyn.edisax.EDIConfigurationException: Failed to
>>> locate jar file for EDI Mapping Model URN
>>> 'org.milyn.edi.unedifact:d96a-mapping:1.4'.  Jar must be available on
>>> classpath.
>>>
>>> I deployed the d96a-binding and mapping according to the README and
>>> additionally activated them (osgi:start):
>>>
>>> 1. Deploy Smooks OSGi bundle
>>>     karaf@root> features:addUrl
>>> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>>>     karaf@root> features:install smooks
>>> 2. Deploy the mapping and bindings for d96a
>>>     karaf@root osgi:install
>>> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>>>     karaf@root osgi:install
>>> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>>>
>>> osgi:start bundle ID for d96a-binding
>>> osgi:start bundle ID for d96a-mapping
>>>
>>> I also tried to deploy everything in JBoss Fuse 6.1. and get the same
>>> error.
>>>
>>> The example runs fine on the command line.
>>>
>>> The readme focuses on Apache ServiceMix version 4.x, maybe some steps
>>> regarding JAR-deployment changed in version 5.x? I'm not an expert
>>> with OSGI containers so I'm stuck.
>>>
>>> Somebody got some advice?
>>>
>>> BR Jan
>>>
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe from this list, please visit:
>>>
>>>    http://xircles.codehaus.org/manage_email
>>>
>>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

success: smooks 1.5.2, edi 1.4 on apache servicemix 5.3.0 problems

Jan Heise
Hi everybody,

me again. I had success checking out from
https://github.com/danbev/unedifact/tree/osgi
I built the d96a bundle from here, it's only a fragment. I installed it
and had to restart ServiceMix. Only after the restart, the fragment
bundle got attached to the smooks bundle. But after doing this, the
conversion works.

Should I write a ticket on smooks/github for this?

Thx,

Jan


Am 2014-12-17 19:06, schrieb Jan Heise:

> Hi everybody,
>
> I'm trying to dig around:
>
> I checked:
> http://milyn.996300.n3.nabble.com/Another-problem-in-ServiceMix-OSGI-Failed-to-locate-jar-file-for-EDI-Mapping-Model-URN-td485.html
> http://jira.codehaus.org/browse/MILYN-571
> and the sources from https://github.com/danbev/unedifact/tree/osgi
>
> When I deploy the versions from the supplied github link, I actually
> get a different result in ServiceMix. I can not start mapping/binding,
> the output says that these are only fragments an can not be started.
>
> Can somebody confirm that they have a running EDI-transformer using a
> binding/mapping from the unedifact packages in an OSGI container?
>
> Best regards,
>
> Jan
>
> Am 2014-12-16 16:11, schrieb Jan Heise:
>> Hi Jochen,
>>
>> thanks for your support. It does not work here.
>> Did you try to run the example? The exception occurs when I deploy the
>> given example, start it and put an EDI file into the inbox. Maybe I
>> was a bit unclear in my first mail. Just deploying/starting everything
>> works - but not the actual conversion.
>>
>> Best Regards,
>>
>> Jan
>>
>>
>> Am 2014-12-16 15:44, schrieb Jochen Cordes:
>>> Hi Jan,
>>>
>>> I guess binding depends on mapping so maybe reversing the order of
>>> starting the bundles should resolve your problem?
>>>
>>> Just tested on JBoss Fuse 6.1 and it seems to work fine:
>>>
>>> JBossFuse:admin@root> features:addUrl
>>> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>>> JBossFuse:admin@root> features:install smooks
>>> JBossFuse:admin@root> osgi:install
>>> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>>> Bundle ID: 262
>>> JBossFuse:admin@root> osgi:install
>>> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>>> Bundle ID: 263
>>> JBossFuse:admin@root> osgi:start 262
>>> JBossFuse:admin@root> osgi:start 263
>>>
>>> Does this work for you?
>>>
>>> Kind regards,
>>>
>>> Jochen
>>>
>>> On 12/16/2014 01:59 PM, Jan Heise wrote:
>>>> Hi everybody,
>>>>
>>>> I have a small problem.
>>>>
>>>> I try to get the following smooks 1.5.2 example to run in Apache
>>>> ServiceMix 5.3.0:
>>>>
>>>> https://github.com/smooks/smooks/tree/master/smooks-examples/camel/camel-unedifact-to-xml 
>>>> I get the following exception:
>>>>
>>>> Caused by: org.milyn.edisax.EDIConfigurationException: Failed to
>>>> locate jar file for EDI Mapping Model URN
>>>> 'org.milyn.edi.unedifact:d96a-mapping:1.4'.  Jar must be available
>>>> on classpath.
>>>>
>>>> I deployed the d96a-binding and mapping according to the README and
>>>> additionally activated them (osgi:start):
>>>>
>>>> 1. Deploy Smooks OSGi bundle
>>>>     karaf@root> features:addUrl
>>>> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>>>>     karaf@root> features:install smooks
>>>> 2. Deploy the mapping and bindings for d96a
>>>>     karaf@root osgi:install
>>>> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>>>>     karaf@root osgi:install
>>>> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>>>>
>>>> osgi:start bundle ID for d96a-binding
>>>> osgi:start bundle ID for d96a-mapping
>>>>
>>>> I also tried to deploy everything in JBoss Fuse 6.1. and get the
>>>> same error.
>>>>
>>>> The example runs fine on the command line.
>>>>
>>>> The readme focuses on Apache ServiceMix version 4.x, maybe some
>>>> steps regarding JAR-deployment changed in version 5.x? I'm not an
>>>> expert with OSGI containers so I'm stuck.
>>>>
>>>> Somebody got some advice?
>>>>
>>>> BR Jan
>>>>
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe from this list, please visit:
>>>>
>>>>    http://xircles.codehaus.org/manage_email
>>>>
>>>>
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe from this list, please visit:
>>>
>>>    http://xircles.codehaus.org/manage_email
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: success: smooks 1.5.2, edi 1.4 on apache servicemix 5.3.0 problems

Ioan Eugen Stan
Happy it works,

I think sharing your experience on the mailing list is a big step
since people with smooks 1.4 issues can find it and they can solve it.


2014-12-18 10:07 GMT+02:00 Jan Heise <[hidden email]>:

> Hi everybody,
>
> me again. I had success checking out from
> https://github.com/danbev/unedifact/tree/osgi
> I built the d96a bundle from here, it's only a fragment. I installed it and
> had to restart ServiceMix. Only after the restart, the fragment bundle got
> attached to the smooks bundle. But after doing this, the conversion works.
>
> Should I write a ticket on smooks/github for this?
>
> Thx,
>
> Jan
>
>
> Am 2014-12-17 19:06, schrieb Jan Heise:
>>
>> Hi everybody,
>>
>> I'm trying to dig around:
>>
>> I checked:
>>
>> http://milyn.996300.n3.nabble.com/Another-problem-in-ServiceMix-OSGI-Failed-to-locate-jar-file-for-EDI-Mapping-Model-URN-td485.html
>> http://jira.codehaus.org/browse/MILYN-571
>> and the sources from https://github.com/danbev/unedifact/tree/osgi
>>
>> When I deploy the versions from the supplied github link, I actually
>> get a different result in ServiceMix. I can not start mapping/binding,
>> the output says that these are only fragments an can not be started.
>>
>> Can somebody confirm that they have a running EDI-transformer using a
>> binding/mapping from the unedifact packages in an OSGI container?
>>
>> Best regards,
>>
>> Jan
>>
>> Am 2014-12-16 16:11, schrieb Jan Heise:
>>>
>>> Hi Jochen,
>>>
>>> thanks for your support. It does not work here.
>>> Did you try to run the example? The exception occurs when I deploy the
>>> given example, start it and put an EDI file into the inbox. Maybe I
>>> was a bit unclear in my first mail. Just deploying/starting everything
>>> works - but not the actual conversion.
>>>
>>> Best Regards,
>>>
>>> Jan
>>>
>>>
>>> Am 2014-12-16 15:44, schrieb Jochen Cordes:
>>>>
>>>> Hi Jan,
>>>>
>>>> I guess binding depends on mapping so maybe reversing the order of
>>>> starting the bundles should resolve your problem?
>>>>
>>>> Just tested on JBoss Fuse 6.1 and it seems to work fine:
>>>>
>>>> JBossFuse:admin@root> features:addUrl
>>>> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>>>> JBossFuse:admin@root> features:install smooks
>>>> JBossFuse:admin@root> osgi:install
>>>> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>>>> Bundle ID: 262
>>>> JBossFuse:admin@root> osgi:install
>>>> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>>>> Bundle ID: 263
>>>> JBossFuse:admin@root> osgi:start 262
>>>> JBossFuse:admin@root> osgi:start 263
>>>>
>>>> Does this work for you?
>>>>
>>>> Kind regards,
>>>>
>>>> Jochen
>>>>
>>>> On 12/16/2014 01:59 PM, Jan Heise wrote:
>>>>>
>>>>> Hi everybody,
>>>>>
>>>>> I have a small problem.
>>>>>
>>>>> I try to get the following smooks 1.5.2 example to run in Apache
>>>>> ServiceMix 5.3.0:
>>>>>
>>>>>
>>>>> https://github.com/smooks/smooks/tree/master/smooks-examples/camel/camel-unedifact-to-xml
>>>>> I get the following exception:
>>>>>
>>>>> Caused by: org.milyn.edisax.EDIConfigurationException: Failed to locate
>>>>> jar file for EDI Mapping Model URN
>>>>> 'org.milyn.edi.unedifact:d96a-mapping:1.4'.  Jar must be available on
>>>>> classpath.
>>>>>
>>>>> I deployed the d96a-binding and mapping according to the README and
>>>>> additionally activated them (osgi:start):
>>>>>
>>>>> 1. Deploy Smooks OSGi bundle
>>>>>     karaf@root> features:addUrl
>>>>> mvn:org.milyn/milyn-smooks-all/1.5.2/xml/features
>>>>>     karaf@root> features:install smooks
>>>>> 2. Deploy the mapping and bindings for d96a
>>>>>     karaf@root osgi:install
>>>>> mvn:org.milyn.edi.unedifact/d96a-binding/1.4
>>>>>     karaf@root osgi:install
>>>>> mvn:org.milyn.edi.unedifact/d96a-mapping/1.4
>>>>>
>>>>> osgi:start bundle ID for d96a-binding
>>>>> osgi:start bundle ID for d96a-mapping
>>>>>
>>>>> I also tried to deploy everything in JBoss Fuse 6.1. and get the same
>>>>> error.
>>>>>
>>>>> The example runs fine on the command line.
>>>>>
>>>>> The readme focuses on Apache ServiceMix version 4.x, maybe some steps
>>>>> regarding JAR-deployment changed in version 5.x? I'm not an expert with OSGI
>>>>> containers so I'm stuck.
>>>>>
>>>>> Somebody got some advice?
>>>>>
>>>>> BR Jan
>>>>>
>>>>>
>>>>> ---------------------------------------------------------------------
>>>>> To unsubscribe from this list, please visit:
>>>>>
>>>>>    http://xircles.codehaus.org/manage_email
>>>>>
>>>>>
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe from this list, please visit:
>>>>
>>>>    http://xircles.codehaus.org/manage_email
>>>
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe from this list, please visit:
>>>
>>>    http://xircles.codehaus.org/manage_email
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>



--
Ioan Eugen Stan
0720 898 747

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email